## org.hibernate.cfg
Interface PropertyData

All Known Implementing Classes:
  PropertyInferredData, PropertyPreloadedData, WrappedInferredData

    public interface PropertyData

Method Summary
`org.hibernate.annotations.common.reflection.XClass` `getClassOrElement()` Returns the returned class itself or the element type if an array
`String` `getClassOrElementName()` Returns the returned class name itself or the element type if an array
`org.hibernate.annotations.common.reflection.XClass` `getDeclaringClass()` Return the Class the property is declared on If the property is declared on a @MappedSuperclass, this class will be different than the PersistentClass's class
`AccessType` `getDefaultAccess()`
`org.hibernate.annotations.common.reflection.XProperty` `getProperty()` Return the Hibernate mapping property
`org.hibernate.annotations.common.reflection.XClass` `getPropertyClass()` Return the class itself
`String` `getPropertyName()`
`String` `getTypeName()` Returns the returned class name itself

Method Detail

### getDefaultAccess

    AccessType getDefaultAccess()

  Returns:
    default member access (whether field or property)
  Throws:
    `MappingException` - No getter or field found or wrong JavaBean spec usage

### getPropertyName

    String getPropertyName()
                           throws MappingException

  Returns:
    property name
  Throws:
    `MappingException` - No getter or field found or wrong JavaBean spec usage

### getClassOrElement

    org.hibernate.annotations.common.reflection.XClass getClassOrElement()
                                                                         throws MappingException

  Returns the returned class itself or the element type if an array

  Throws:
    `MappingException`

### getPropertyClass

    org.hibernate.annotations.common.reflection.XClass getPropertyClass()
                                                                        throws MappingException

  Return the class itself

  Throws:
    `MappingException`

### getClassOrElementName

    String getClassOrElementName()
                                 throws MappingException

  Returns the returned class name itself or the element type if an array

  Throws:
    `MappingException`

### getTypeName

    String getTypeName()
                       throws MappingException

  Returns the returned class name itself

  Throws:
    `MappingException`

### getProperty

    org.hibernate.annotations.common.reflection.XProperty getProperty()

  Return the Hibernate mapping property

### getDeclaringClass

    org.hibernate.annotations.common.reflection.XClass getDeclaringClass()

  Return the Class the property is declared on If the property is declared on a @MappedSuperclass, this class will be different than the PersistentClass's class

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.